/*
 * Copyright 2005-2006 Michelle Osmond Licensed under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

package message;

/**
 * @author Michelle Osmond
 * @version 1.1
 */
public interface MessageConstants
{

    int INPUT = 0;

    int OUTPUT = 1;

    String MSG_CENTRE_KEY = "message.MessageCentre";

    String MSG_SESSION_ID_RETRIEVER = "message.SessionIDRetriever";

    String MSG_PORTLET_ID = "message.portletID";

    String MSG_LOADED = "message.loadedMappings";

    String PREF_IN_PREFIX = "MsgInput";

    String PREF_NAME = "Name";

    String PREF_SOURCENAME = "SourceName";

    String PREF_SOURCENS = "SourceNamespace";

    String PREF_OUT_PREFIX = "MsgOutput";

    String PREF_PUBLISHNAME = "PublishName";

    String PREF_PUBLISHNS = "PublishNamespace";

    String NS_LOCAL = "local";
}
